Bug 1256848 - nagios-plugins-log has incorrect paths to egrep/tail (EL6)
nagios-plugins-log has incorrect paths to egrep/tail (EL6)
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins (Show other bugs)
el6
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Wilkerson
Fedora Extras Quality Assurance
:
: 1268927 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 11:08 EDT by Dave Garbus
Modified: 2017-08-10 02:19 EDT (History)
8 users (show)

See Also:
Fixed In Version: nagios-plugins-2.2.1-3git.fc24 nagios-plugins-2.2.1-4git.fc26 nagios-plugins-2.2.1-4git.el7 nagios-plugins-2.2.1-3git.fc25 nagios-plugins-2.2.1-4git.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-23 17:51:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Garbus 2015-08-25 11:08:18 EDT
Description of problem:
The most recent version of the nagios-plugins-log package (2.0.3-1.el6) has incorrect paths for egrep and tail. This causes the check script to completely fail and renders it useless.

Version-Release number of selected component (if applicable):
nagios-plugins-log-2.0.3-1.el6.x86_64.rpm

How reproducible:
100%

Steps to Reproduce:
1. Install nagios-plugins-log-2.0.3-1.el6.x86_64.rpm on EL6
2. Confirm that paths for egrep and tail are hardcoded incorrectly for the distribution

Actual results:
$ /usr/lib64/nagios/plugins/check_log -F logfile -O oldlog -q test
/usr/lib64/nagios/plugins/check_log: line 199: /usr/bin/egrep: No such file or directory
/usr/lib64/nagios/plugins/check_log: line 202: /usr/bin/egrep: No such file or directory
/usr/lib64/nagios/plugins/check_log: line 205: /usr/bin/egrep: No such file or directory
/usr/lib64/nagios/plugins/check_log: line 205: /bin/tail: No such file or directory

Expected results:
The paths in the script should reflect the paths used in EL6.

$ which egrep
/bin/egrep
$ which touch
/bin/touch

Additional info:

nagios-plugins-log-2.0.3-1.el6.x86_64 paths (working):
----------------------
GREP="/usr/bin/egrep"
DIFF="/usr/bin/diff"
TAIL="/bin/tail"
CAT="/bin/cat"
RM="/bin/rm"
CHMOD="/bin/chmod"
TOUCH="/bin/touch"

nagios-plugins-log-1.4.16-10.el6.x86_64 paths (not working):
----------------------
ECHO="/bin/echo"
GREP="/bin/egrep"
DIFF="/usr/bin/diff"
TAIL="/usr/bin/tail"
CAT="/bin/cat"
RM="/bin/rm"
CHMOD="/bin/chmod"
TOUCH="/bin/touch"
Comment 1 Scott Wilkerson 2015-09-11 11:28:17 EDT
This behavior has been fixed upstream and is incorporated in the 2.1.1 release
Comment 2 Scott Wilkerson 2015-10-06 10:06:16 EDT
*** Bug 1268927 has been marked as a duplicate of this bug. ***
Comment 3 Brian Hill 2016-01-15 04:03:13 EST
Will the 2.1.1 release be available via epel soon?
Comment 4 Mike McCune 2016-03-28 19:38:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Fedora Update System 2017-07-03 16:54:44 EDT
nagios-plugins-2.2.1-2git.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cc0aeaca30
Comment 6 Fedora Update System 2017-07-05 22:48:25 EDT
nagios-plugins-2.2.1-2git.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-62fe0218d0
Comment 7 Fedora Update System 2017-07-05 22:49:42 EDT
nagios-plugins-2.2.1-2git.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cc0aeaca30
Comment 8 Fedora Update System 2017-07-12 16:30:43 EDT
nagios-plugins-2.2.1-3git.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-76229ef8c9
Comment 9 Fedora Update System 2017-07-13 15:49:17 EDT
nagios-plugins-2.2.1-3git.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-76229ef8c9
Comment 10 Fedora Update System 2017-07-13 15:50:43 EDT
nagios-plugins-2.2.1-3git.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4b1c55c024
Comment 11 Fedora Update System 2017-07-13 17:21:32 EDT
nagios-plugins-2.2.1-3git.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6401b28fc4
Comment 12 Fedora Update System 2017-07-13 17:23:52 EDT
nagios-plugins-2.2.1-3git.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d031793bf
Comment 13 Fedora Update System 2017-07-13 19:54:00 EDT
nagios-plugins-2.2.1-3git.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5f81422dc
Comment 14 Fedora Update System 2017-07-14 14:58:05 EDT
nagios-plugins-2.2.1-4git.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2e82de3b3
Comment 15 Fedora Update System 2017-07-16 17:21:13 EDT
nagios-plugins-2.2.1-4git.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2e82de3b3
Comment 16 Fedora Update System 2017-07-23 00:18:18 EDT
nagios-plugins-2.2.1-4git.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8973027f42
Comment 17 Fedora Update System 2017-07-23 00:23:04 EDT
nagios-plugins-2.2.1-4git.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-87ebfdc686
Comment 18 Fedora Update System 2017-07-23 17:51:07 EDT
nagios-plugins-2.2.1-3git.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2017-08-03 11:52:44 EDT
nagios-plugins-2.2.1-4git.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2017-08-09 11:22:46 EDT
nagios-plugins-2.2.1-4git.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2017-08-09 15:57:02 EDT
nagios-plugins-2.2.1-3git.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2017-08-10 02:19:47 EDT
nagios-plugins-2.2.1-4git.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.